"use strict";

module.exports = function evaluateCyclicalModulesOnto(resultObject = {}, moduleMapping) {
	for (let [ key, moduleInitializer ] of Object.entries(moduleMapping)) {
		resultObject[key] = moduleInitializer(resultObject);
	}

	return resultObject;
};
